Bug 191033 - spamassassin looks up broken NS domain (visi.com)
spamassassin looks up broken NS domain (visi.com)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: spamassassin (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
:
Depends On:
Blocks: 171491
  Show dependency treegraph
 
Reported: 2006-05-08 06:51 EDT by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0543
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-06 13:54:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
spamassassin-3.1-visi.patch (1.62 KB, patch)
2006-05-08 06:51 EDT, Bastien Nocera
no flags Details | Diff
spamassassin-3.0.5-RSL-removal.patch (3.20 KB, patch)
2006-05-09 18:04 EDT, Warren Togami
no flags Details | Diff

  None (edit)
Description Bastien Nocera 2006-05-08 06:51:55 EDT
spamassassin-3.0.5-3.el4

The Spamassassin rules contains lookups to relays.visi.com, which can cause
excessive loads (and then timeouts) on the nameserver used.

Patch from Brad Hinson <bhinson@redhat.com> to disable those lookups (as in
Spamassassin 3.1) attached.
Comment 1 Bastien Nocera 2006-05-08 06:51:56 EDT
Created attachment 128737 [details]
spamassassin-3.1-visi.patch
Comment 3 Warren Togami 2006-05-08 18:26:09 EDT
What kind of delays per message are you seeing?
Comment 4 Brad Hinson 2006-05-08 21:26:46 EDT
Check out these links:
http://mail-archives.apache.org/mod_mbox/spamassassin-users/200501.mbox/%3C6.2.0.14.0.20050104182350.02f4f418@192.168.50.2%3E
http://wiki.openrbl.org/wiki/VISI

relays.visi.com had two nameservers, ns1.visi.com and ns2.visi.com.  ns1 is
still working, but ns2 is not.  When dns queries go to ns2, there's a timeout of
about a couple of seconds.  Customer who reported this had heavy dns traffic,
and this timeout eventually caused all further requests to timeout, rendering
the nameserver useless until restarted.
Comment 5 Warren Togami 2006-05-09 12:49:15 EDT
dev ack, trivial
Comment 6 Warren Togami 2006-05-09 18:04:08 EDT
Created attachment 128821 [details]
spamassassin-3.0.5-RSL-removal.patch

Completely remove RCVD_IN_RSL rule.
Comment 10 Red Hat Bugzilla 2006-06-06 13:54:49 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0543.html

Note You need to log in before you can comment on or make changes to this bug.